
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
#include <dht11.h>

dht11 DHT11;
LiquidCrystal_I2C lcd(0x20, 16, 2);

#define DHT11PIN 2
void setup()
{
  Serial.begin(9600);
  pinMode(3, OUTPUT);
  lcd.init();

  lcd.backlight();
  lcd.setCursor(0, 0);
  lcd.print("Current Tem :");
}

void loop()
{
  int chk = DHT11.read(DHT11PIN);
  Serial.print("Read sensor: ");
  switch (chk)
  {
    case DHTLIB_OK:
      Serial.println("OK");
      break;
    case DHTLIB_ERROR_CHECKSUM:
      Serial.println("Checksum error");
      break;
    case DHTLIB_ERROR_TIMEOUT:
      Serial.println("Time out error");
      break;
    default:
      Serial.println("Unknown error");
      break;
  }
  Serial.print("Humidity (%): ");
  Serial.println((float)DHT11.humidity, 2);

  Serial.print("Temperature (oC): ");
  Serial.println((float)DHT11.temperature, 2);

  lcd.setCursor(0, 1);
  lcd.print((float)DHT11.temperature, 2);
  lcd.print(" C");
  onOFF();

  delay(2000);
}

void onOFF() {
  if ((float)DHT11.temperature <= 18) {
    digitalWrite(3, HIGH);
  }
  else {
    digitalWrite(3, LOW);
  }
}
